SCRIV GITHUB-RELEASE(1)

NAME
scriv-github-release - Create GitHub releases from the changelog.

SYNOPSIS
scriv github-release [OPTIONS]

DESCRIPTION

Create GitHub releases from the changelog.

Only the most recent changelog entry is used, unless --all is provided.

OPTIONS

--all
    Use all of the changelog entries.

--check-links
    Check that links are valid (EXPERIMENTAL).

--draft
    Publish a draft release.

--dry-run
    Don't post to GitHub, just show what would be done.

--fail-if-warn
    Fail if a conversion generates warnings.

--repo TEXT
    The GitHub repo (owner/reponame) to create the release in.

-v, --verbosity LVL
    Either CRITICAL, ERROR, WARNING, INFO or DEBUG

--config FILE
    Use a custom config file.